function void = plotd(x,y)
%PLOTD PLOT A DISCONTINUOUS FUNCTION
%   PLOTD(X,Y) plot array x versus array y deleting the line between 2
%   successive points (x(i),y(i)) and (x(i+1),y(i+1)) if a discontinuity is
%   detected.
%   The discontinuity step limit can be controled by the parameter tol in
%   the program
%
% Author: Stephane BALAC, FOTON UMR CNRS 6082, University of Rennes, France
% contact: stephane.balac@univ-rennes1.fr
% Last modification: 30 January 2014

tol=0.5; %discontinuity step limit parameter
figure
hold on
X=[];
Y=[];
for k=1:length(x)-1
    if abs(y(k+1)-y(k))<tol
        X=[X,x(k)];
        Y=[Y,y(k)];
    else
        X=[X,x(k)];
        Y=[Y,y(k)]; 
        plot(X,Y,'LineWidth',2);
        X=[];
        Y=[];
    end
end
plot(X,Y,'LineWidth',2); % plot the last segment
hold off

