function y = vshnor(x,ell)
%VSHNOR : internal Matlab function to the VOLMOD program 
%   vshnor(x,ell) computes the square of the euclidean norm of the
%   vector spherical harmonics X_\ell^m at (x,0)
%
% Author: Stephane BALAC, FOTON UMR CNRS 6082, University of Rennes, France
% contact: stephane.balac@univ-rennes1.fr
% Last modification: 30 January 2014
y=(ell+1)*besselj(ell+3/2,x)-ell*besselj(ell-1/2,x);
end

